Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class QuickTipsConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.widgets.QuickTipsConfig

    public class QuickTipsConfig

extends BaseConfig

Configuration class for `QuickTips`.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`QuickTipsConfig()`

Method Summary
`void` | `setAutoHide(boolean autoHide)` True to automatically hide the quick tip after the mouse exits the target element (defaults to true).
`void` | `setCls(java.lang.String cls)`
`void` | `setDismissDelay(int dismissDelay)`
`void` | `setHideDelay(int hideDelay)` Delay in milliseconds before the quick tip hides when autoHide = true (defaults to 200).
`void` | `setHideOnClick(boolean hideOnClick)` True to hide the quick tip if the user clicks anywhere in the document (defaults to true).
`void` | `setInterceptTitles(boolean interceptTitles)` True to automatically use the element's DOM title value if available (defaults to false).
`void` | `setMaxWidth(int maxWidth)` The maximum width of the quick tip (defaults to 300).
`void` | `setMinWidth(int minWidth)` The minimum width of the quick tip (defaults to 40).
`void` | `setShowDelay(int showDelay)` Delay in milliseconds before the quick tip displays after the mouse enters the target element (defaults to 500).
`void` | `setTarget(Component target)`
`void` | `setTarget(java.lang.String target)`
`void` | `setText(java.lang.String text)` Body text to display (defaults to '').
`void` | `setTitle(java.lang.String title)` Title text to display (defaults to '').
`void` | `setTrackMouse(boolean trackMouse)` True to have the quick tip follow the mouse as it moves over the target element (defaults to false).
`void` | `setTraget(com.google.gwt.user.client.Element traget)`
`void` | `setWidth(int width)`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuickTipsConfig

    public QuickTipsConfig()

Method Detail

### setAutoHide

    public void setAutoHide(boolean autoHide)

  True to automatically hide the quick tip after the mouse exits the target element (defaults to true). Used in conjunction with hideDelay.

  Parameters:
    `autoHide` - true to auto hide

### setCls

    public void setCls(java.lang.String cls)

### setDismissDelay

    public void setDismissDelay(int dismissDelay)

### setTraget

    public void setTraget(com.google.gwt.user.client.Element traget)

### setTarget

    public void setTarget(java.lang.String target)

### setTarget

    public void setTarget(Component target)

### setText

    public void setText(java.lang.String text)

  Body text to display (defaults to ''). This can be any valid HTML markup.

  Parameters:
    `text` - the text

### setTitle

    public void setTitle(java.lang.String title)

  Title text to display (defaults to ''). This can be any valid HTML markup.

  Parameters:
    `title` - the title

### setWidth

    public void setWidth(int width)

### setHideDelay

    public void setHideDelay(int hideDelay)

  Delay in milliseconds before the quick tip hides when autoHide = true (defaults to 200).

  Parameters:
    `hideDelay` - hide delay in milliseconds

### setHideOnClick

    public void setHideOnClick(boolean hideOnClick)

  True to hide the quick tip if the user clicks anywhere in the document (defaults to true).

  Parameters:
    `hideOnClick` - true to hide on click

### setInterceptTitles

    public void setInterceptTitles(boolean interceptTitles)

  True to automatically use the element's DOM title value if available (defaults to false).

  Parameters:
    `interceptTitles` - true to automatically use the element's DOM title value if available

### setMaxWidth

    public void setMaxWidth(int maxWidth)

  The maximum width of the quick tip (defaults to 300).

  Parameters:
    `maxWidth` - the max width

### setMinWidth

    public void setMinWidth(int minWidth)

  The minimum width of the quick tip (defaults to 40).

  Parameters:
    `minWidth` - the min width

### setShowDelay

    public void setShowDelay(int showDelay)

  Delay in milliseconds before the quick tip displays after the mouse enters the target element (defaults to 500).

  Parameters:
    `showDelay` - the show delay

### setTrackMouse

    public void setTrackMouse(boolean trackMouse)

  True to have the quick tip follow the mouse as it moves over the target element (defaults to false).

  Parameters:
    `trackMouse` - true to track mouse

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD